Bug 224366 - new port: devel/coursier: A Scala library to fetch dependencies from Maven / Ivy repositories
Summary: new port: devel/coursier: A Scala library to fetch dependencies from Maven / ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-15 14:07 UTC by j-keck
Modified: 2018-10-05 10:16 UTC (History)
2 users (show)

See Also:


Attachments
patch for new port (1.30 KB, patch)
2017-12-15 14:07 UTC, j-keck
no flags Details | Diff
patch for new port (1.23 KB, patch)
2018-09-30 18:53 UTC, j-keck
no flags Details | Diff
poudriere log (16.32 KB, text/plain)
2018-09-30 18:56 UTC, j-keck
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description j-keck 2017-12-15 14:07:24 UTC
Created attachment 188859 [details]
patch for new port

notes:

  * I was not sure about the category: 
    coursier is implemented in Scala so it runs in the JVM.
    I don't place it under 'java/' because it handels artifacts /
    dependencies for all JVM languages.


  * Should I include an example in the 'pkg-desc'?
    I use it also to start other applications like
    'ammonite' (http://ammonite.io/):


      ~⟩ cat bin/amm
      #!/bin/sh
      coursier launch com.lihaoyi:ammonite_2.12.4:1.0.3 -- --no-remote-logging $@
Comment 1 j-keck 2017-12-15 14:09:21 UTC
home of coursier: https://github.com/coursier/coursier
Comment 2 j-keck 2017-12-15 14:12:10 UTC
portlint output: 

devel/coursier ⟩ portlint -ac                                                                                   
WARN: Makefile: COMMENT is not supposed to begin with 'A ', 'An ', or 'The '.
WARN: Makefile: the port uses Java but is not part of the ``java'' category
0 fatal errors and 2 warnings found.
Comment 3 Tobias Kortkamp freebsd_committer 2018-09-27 13:21:21 UTC
(In reply to j-keck from comment #2)

1.0.2 is available.  Can you update the patch and also fix the
portlint warnings please?

+COMMENT=	A Scala library to fetch dependencies from Maven / Ivy repositories

Portlint is not wrong when it complains about COMMENT.  It should
be much more concise and should follow the rules written down in
[1].

Double check pkg-descr too please ("from apps distributed view Maven
repositories" ???).

> I was not sure about the category

The category is fine, but also place it in the 'java' virtual
category (compare with devel/leiningen).

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-comment.html
Comment 4 j-keck 2018-09-30 18:53:51 UTC
Created attachment 197640 [details]
patch for new port

 - bump to coursier-1.0.1

   the actual version coursiere-1.0.2 is broken - see:
   https://github.com/coursier/coursier/commit/2cb42444cdbd6ad2a50f963378ff27259a4fb1a7

     
 - fix portlint warnings
Comment 5 j-keck 2018-09-30 18:55:12 UTC
portlint output:

wurzel: ..ult/devel/coursier⟩ portlint -ac 
looks fine.
Comment 6 j-keck 2018-09-30 18:56:07 UTC
Created attachment 197641 [details]
poudriere log
Comment 7 commit-hook freebsd_committer 2018-10-05 10:13:38 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct  5 10:13:21 UTC 2018
New revision: 481269
URL: https://svnweb.freebsd.org/changeset/ports/481269

Log:
  New port: devel/coursier

  Coursier can fetch, launch, and create tiny bootstrap launchers
  from apps distributed via Maven / Ivy repositories.

  WWW: http://get-coursier.io

  PR:		224366
  Submitted by:	jhyphenkeck@gmail.com

Changes:
  head/devel/Makefile
  head/devel/coursier/
  head/devel/coursier/Makefile
  head/devel/coursier/distinfo
  head/devel/coursier/pkg-descr
Comment 8 Tobias Kortkamp freebsd_committer 2018-10-05 10:16:13 UTC
Committed with some changes. Thanks!

I restored the original pkg-descr (with s/view/via/) as the new one
did not really explain what this application does.